import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import {
  AddTagsToOnPremisesInstancesCommandInput,
  AddTagsToOnPremisesInstancesCommandOutput,
} from "../commands/AddTagsToOnPremisesInstancesCommand";
import {
  BatchGetApplicationRevisionsCommandInput,
  BatchGetApplicationRevisionsCommandOutput,
} from "../commands/BatchGetApplicationRevisionsCommand";
import {
  BatchGetApplicationsCommandInput,
  BatchGetApplicationsCommandOutput,
} from "../commands/BatchGetApplicationsCommand";
import {
  BatchGetDeploymentGroupsCommandInput,
  BatchGetDeploymentGroupsCommandOutput,
} from "../commands/BatchGetDeploymentGroupsCommand";
import {
  BatchGetDeploymentInstancesCommandInput,
  BatchGetDeploymentInstancesCommandOutput,
} from "../commands/BatchGetDeploymentInstancesCommand";
import {
  BatchGetDeploymentsCommandInput,
  BatchGetDeploymentsCommandOutput,
} from "../commands/BatchGetDeploymentsCommand";
import {
  BatchGetDeploymentTargetsCommandInput,
  BatchGetDeploymentTargetsCommandOutput,
} from "../commands/BatchGetDeploymentTargetsCommand";
import {
  BatchGetOnPremisesInstancesCommandInput,
  BatchGetOnPremisesInstancesCommandOutput,
} from "../commands/BatchGetOnPremisesInstancesCommand";
import {
  ContinueDeploymentCommandInput,
  ContinueDeploymentCommandOutput,
} from "../commands/ContinueDeploymentCommand";
import {
  CreateApplicationCommandInput,
  CreateApplicationCommandOutput,
} from "../commands/CreateApplicationCommand";
import {
  CreateDeploymentCommandInput,
  CreateDeploymentCommandOutput,
} from "../commands/CreateDeploymentCommand";
import {
  CreateDeploymentConfigCommandInput,
  CreateDeploymentConfigCommandOutput,
} from "../commands/CreateDeploymentConfigCommand";
import {
  CreateDeploymentGroupCommandInput,
  CreateDeploymentGroupCommandOutput,
} from "../commands/CreateDeploymentGroupCommand";
import {
  DeleteApplicationCommandInput,
  DeleteApplicationCommandOutput,
} from "../commands/DeleteApplicationCommand";
import {
  DeleteDeploymentConfigCommandInput,
  DeleteDeploymentConfigCommandOutput,
} from "../commands/DeleteDeploymentConfigCommand";
import {
  DeleteDeploymentGroupCommandInput,
  DeleteDeploymentGroupCommandOutput,
} from "../commands/DeleteDeploymentGroupCommand";
import {
  DeleteGitHubAccountTokenCommandInput,
  DeleteGitHubAccountTokenCommandOutput,
} from "../commands/DeleteGitHubAccountTokenCommand";
import {
  DeleteResourcesByExternalIdCommandInput,
  DeleteResourcesByExternalIdCommandOutput,
} from "../commands/DeleteResourcesByExternalIdCommand";
import {
  DeregisterOnPremisesInstanceCommandInput,
  DeregisterOnPremisesInstanceCommandOutput,
} from "../commands/DeregisterOnPremisesInstanceCommand";
import {
  GetApplicationCommandInput,
  GetApplicationCommandOutput,
} from "../commands/GetApplicationCommand";
import {
  GetApplicationRevisionCommandInput,
  GetApplicationRevisionCommandOutput,
} from "../commands/GetApplicationRevisionCommand";
import {
  GetDeploymentCommandInput,
  GetDeploymentCommandOutput,
} from "../commands/GetDeploymentCommand";
import {
  GetDeploymentConfigCommandInput,
  GetDeploymentConfigCommandOutput,
} from "../commands/GetDeploymentConfigCommand";
import {
  GetDeploymentGroupCommandInput,
  GetDeploymentGroupCommandOutput,
} from "../commands/GetDeploymentGroupCommand";
import {
  GetDeploymentInstanceCommandInput,
  GetDeploymentInstanceCommandOutput,
} from "../commands/GetDeploymentInstanceCommand";
import {
  GetDeploymentTargetCommandInput,
  GetDeploymentTargetCommandOutput,
} from "../commands/GetDeploymentTargetCommand";
import {
  GetOnPremisesInstanceCommandInput,
  GetOnPremisesInstanceCommandOutput,
} from "../commands/GetOnPremisesInstanceCommand";
import {
  ListApplicationRevisionsCommandInput,
  ListApplicationRevisionsCommandOutput,
} from "../commands/ListApplicationRevisionsCommand";
import {
  ListApplicationsCommandInput,
  ListApplicationsCommandOutput,
} from "../commands/ListApplicationsCommand";
import {
  ListDeploymentConfigsCommandInput,
  ListDeploymentConfigsCommandOutput,
} from "../commands/ListDeploymentConfigsCommand";
import {
  ListDeploymentGroupsCommandInput,
  ListDeploymentGroupsCommandOutput,
} from "../commands/ListDeploymentGroupsCommand";
import {
  ListDeploymentInstancesCommandInput,
  ListDeploymentInstancesCommandOutput,
} from "../commands/ListDeploymentInstancesCommand";
import {
  ListDeploymentsCommandInput,
  ListDeploymentsCommandOutput,
} from "../commands/ListDeploymentsCommand";
import {
  ListDeploymentTargetsCommandInput,
  ListDeploymentTargetsCommandOutput,
} from "../commands/ListDeploymentTargetsCommand";
import {
  ListGitHubAccountTokenNamesCommandInput,
  ListGitHubAccountTokenNamesCommandOutput,
} from "../commands/ListGitHubAccountTokenNamesCommand";
import {
  ListOnPremisesInstancesCommandInput,
  ListOnPremisesInstancesCommandOutput,
} from "../commands/ListOnPremisesInstancesCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PutLifecycleEventHookExecutionStatusCommandInput,
  PutLifecycleEventHookExecutionStatusCommandOutput,
} from "../commands/PutLifecycleEventHookExecutionStatusCommand";
import {
  RegisterApplicationRevisionCommandInput,
  RegisterApplicationRevisionCommandOutput,
} from "../commands/RegisterApplicationRevisionCommand";
import {
  RegisterOnPremisesInstanceCommandInput,
  RegisterOnPremisesInstanceCommandOutput,
} from "../commands/RegisterOnPremisesInstanceCommand";
import {
  RemoveTagsFromOnPremisesInstancesCommandInput,
  RemoveTagsFromOnPremisesInstancesCommandOutput,
} from "../commands/RemoveTagsFromOnPremisesInstancesCommand";
import {
  SkipWaitTimeForInstanceTerminationCommandInput,
  SkipWaitTimeForInstanceTerminationCommandOutput,
} from "../commands/SkipWaitTimeForInstanceTerminationCommand";
import {
  StopDeploymentCommandInput,
  StopDeploymentCommandOutput,
} from "../commands/StopDeploymentCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateApplicationCommandInput,
  UpdateApplicationCommandOutput,
} from "../commands/UpdateApplicationCommand";
import {
  UpdateDeploymentGroupCommandInput,
  UpdateDeploymentGroupCommandOutput,
} from "../commands/UpdateDeploymentGroupCommand";
export declare const serializeAws_json1_1AddTagsToOnPremisesInstancesCommand: (
  input: AddTagsToOnPremisesInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetApplicationRevisionsCommand: (
  input: BatchGetApplicationRevisionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetApplicationsCommand: (
  input: BatchGetApplicationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetDeploymentGroupsCommand: (
  input: BatchGetDeploymentGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetDeploymentInstancesCommand: (
  input: BatchGetDeploymentInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetDeploymentsCommand: (
  input: BatchGetDeploymentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetDeploymentTargetsCommand: (
  input: BatchGetDeploymentTargetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchGetOnPremisesInstancesCommand: (
  input: BatchGetOnPremisesInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ContinueDeploymentCommand: (
  input: ContinueDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateApplicationCommand: (
  input: CreateApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateDeploymentCommand: (
  input: CreateDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateDeploymentConfigCommand: (
  input: CreateDeploymentConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateDeploymentGroupCommand: (
  input: CreateDeploymentGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteApplicationCommand: (
  input: DeleteApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteDeploymentConfigCommand: (
  input: DeleteDeploymentConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteDeploymentGroupCommand: (
  input: DeleteDeploymentGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteGitHubAccountTokenCommand: (
  input: DeleteGitHubAccountTokenCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteResourcesByExternalIdCommand: (
  input: DeleteResourcesByExternalIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeregisterOnPremisesInstanceCommand: (
  input: DeregisterOnPremisesInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetApplicationCommand: (
  input: GetApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetApplicationRevisionCommand: (
  input: GetApplicationRevisionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDeploymentCommand: (
  input: GetDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDeploymentConfigCommand: (
  input: GetDeploymentConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDeploymentGroupCommand: (
  input: GetDeploymentGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDeploymentInstanceCommand: (
  input: GetDeploymentInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDeploymentTargetCommand: (
  input: GetDeploymentTargetCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetOnPremisesInstanceCommand: (
  input: GetOnPremisesInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListApplicationRevisionsCommand: (
  input: ListApplicationRevisionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListApplicationsCommand: (
  input: ListApplicationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDeploymentConfigsCommand: (
  input: ListDeploymentConfigsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDeploymentGroupsCommand: (
  input: ListDeploymentGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDeploymentInstancesCommand: (
  input: ListDeploymentInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDeploymentsCommand: (
  input: ListDeploymentsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDeploymentTargetsCommand: (
  input: ListDeploymentTargetsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListGitHubAccountTokenNamesCommand: (
  input: ListGitHubAccountTokenNamesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListOnPremisesInstancesCommand: (
  input: ListOnPremisesInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand: (
  input: PutLifecycleEventHookExecutionStatusCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RegisterApplicationRevisionCommand: (
  input: RegisterApplicationRevisionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RegisterOnPremisesInstanceCommand: (
  input: RegisterOnPremisesInstanceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand: (
  input: RemoveTagsFromOnPremisesInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand: (
  input: SkipWaitTimeForInstanceTerminationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopDeploymentCommand: (
  input: StopDeploymentCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateApplicationCommand: (
  input: UpdateApplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateDeploymentGroupCommand: (
  input: UpdateDeploymentGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1AddTagsToOnPremisesInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AddTagsToOnPremisesInstancesCommandOutput>;
export declare const deserializeAws_json1_1BatchGetApplicationRevisionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetApplicationRevisionsCommandOutput>;
export declare const deserializeAws_json1_1BatchGetApplicationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetApplicationsCommandOutput>;
export declare const deserializeAws_json1_1BatchGetDeploymentGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetDeploymentGroupsCommandOutput>;
export declare const deserializeAws_json1_1BatchGetDeploymentInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetDeploymentInstancesCommandOutput>;
export declare const deserializeAws_json1_1BatchGetDeploymentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetDeploymentsCommandOutput>;
export declare const deserializeAws_json1_1BatchGetDeploymentTargetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetDeploymentTargetsCommandOutput>;
export declare const deserializeAws_json1_1BatchGetOnPremisesInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchGetOnPremisesInstancesCommandOutput>;
export declare const deserializeAws_json1_1ContinueDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ContinueDeploymentCommandOutput>;
export declare const deserializeAws_json1_1CreateApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateApplicationCommandOutput>;
export declare const deserializeAws_json1_1CreateDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDeploymentCommandOutput>;
export declare const deserializeAws_json1_1CreateDeploymentConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDeploymentConfigCommandOutput>;
export declare const deserializeAws_json1_1CreateDeploymentGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDeploymentGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteApplicationCommandOutput>;
export declare const deserializeAws_json1_1DeleteDeploymentConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDeploymentConfigCommandOutput>;
export declare const deserializeAws_json1_1DeleteDeploymentGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDeploymentGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteGitHubAccountTokenCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteGitHubAccountTokenCommandOutput>;
export declare const deserializeAws_json1_1DeleteResourcesByExternalIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteResourcesByExternalIdCommandOutput>;
export declare const deserializeAws_json1_1DeregisterOnPremisesInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeregisterOnPremisesInstanceCommandOutput>;
export declare const deserializeAws_json1_1GetApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetApplicationCommandOutput>;
export declare const deserializeAws_json1_1GetApplicationRevisionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetApplicationRevisionCommandOutput>;
export declare const deserializeAws_json1_1GetDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDeploymentCommandOutput>;
export declare const deserializeAws_json1_1GetDeploymentConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDeploymentConfigCommandOutput>;
export declare const deserializeAws_json1_1GetDeploymentGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDeploymentGroupCommandOutput>;
export declare const deserializeAws_json1_1GetDeploymentInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDeploymentInstanceCommandOutput>;
export declare const deserializeAws_json1_1GetDeploymentTargetCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDeploymentTargetCommandOutput>;
export declare const deserializeAws_json1_1GetOnPremisesInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOnPremisesInstanceCommandOutput>;
export declare const deserializeAws_json1_1ListApplicationRevisionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListApplicationRevisionsCommandOutput>;
export declare const deserializeAws_json1_1ListApplicationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListApplicationsCommandOutput>;
export declare const deserializeAws_json1_1ListDeploymentConfigsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDeploymentConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListDeploymentGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDeploymentGroupsCommandOutput>;
export declare const deserializeAws_json1_1ListDeploymentInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDeploymentInstancesCommandOutput>;
export declare const deserializeAws_json1_1ListDeploymentsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDeploymentsCommandOutput>;
export declare const deserializeAws_json1_1ListDeploymentTargetsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDeploymentTargetsCommandOutput>;
export declare const deserializeAws_json1_1ListGitHubAccountTokenNamesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListGitHubAccountTokenNamesCommandOutput>;
export declare const deserializeAws_json1_1ListOnPremisesInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOnPremisesInstancesCommandOutput>;
export declare const deserializeAws_json1_1ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_json1_1PutLifecycleEventHookExecutionStatusCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutLifecycleEventHookExecutionStatusCommandOutput>;
export declare const deserializeAws_json1_1RegisterApplicationRevisionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterApplicationRevisionCommandOutput>;
export declare const deserializeAws_json1_1RegisterOnPremisesInstanceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RegisterOnPremisesInstanceCommandOutput>;
export declare const deserializeAws_json1_1RemoveTagsFromOnPremisesInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveTagsFromOnPremisesInstancesCommandOutput>;
export declare const deserializeAws_json1_1SkipWaitTimeForInstanceTerminationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SkipWaitTimeForInstanceTerminationCommandOutput>;
export declare const deserializeAws_json1_1StopDeploymentCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopDeploymentCommandOutput>;
export declare const deserializeAws_json1_1TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_1UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_1UpdateApplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateApplicationCommandOutput>;
export declare const deserializeAws_json1_1UpdateDeploymentGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDeploymentGroupCommandOutput>;
